- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.ConversionsBatchUpdateResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#body.aspect)
- [ConversionsBatchUpdateRequest](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#ConversionsBatchUpdateRequest)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#ConversionsBatchUpdateRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#try-it)

Updates existing conversions.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/conversions/batchupdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/conversions/batchupdate#ConversionsBatchUpdateRequest`.

### Response body

Update Conversions Response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "hasFailures": boolean, "status": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/ConversionStatus`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `hasFailures` | `boolean` Indicates that some or all conversions failed to update. |
| `status[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/ConversionStatus`)`` The update status of each conversion. Statuses are returned in the same order that conversions are updated. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#conversionsBatchUpdateResponse"`. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/ddmconversions`

## ConversionsBatchUpdateRequest

Update Conversions Request.

| JSON representation |
|---|
| ``` { "kind": string, "conversions": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/Conversion`) } ], "encryptionInfo": { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/EncryptionInfo`) } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#conversionsBatchUpdateRequest"`. |
| `conversions[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/Conversion`)`` The set of conversions to update. |
| `encryptionInfo` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/EncryptionInfo`)`` Describes how `encryptedUserId` is encrypted. This is a required field if `encryptedUserId` is used. |